from dotenv import load_dotenv
import os

# Carrega as variáveis de ambiente do arquivo .env, se existir
load_dotenv()

class Config:
    # Configurações Gerais
    SECRET_KEY = os.getenv('SECRET_KEY', 'd702717e2361ba1a31ce3b98d28ee3e24e2e6a9be8e2afd8e004f842563bacbd')
    DEBUG = os.getenv('DEBUG', 'True') == 'True'
    JSON_SORT_KEYS = False

    # Configurações do MySQL
    MYSQL_HOST = os.getenv('MYSQL_HOST', '10.10.253.56')
    MYSQL_USER = os.getenv('MYSQL_USER', 'remote')
    MYSQL_PASSWORD = os.getenv('MYSQL_PASSWORD', 'wNTDu1k79z{(')
    MYSQL_DB = os.getenv('MYSQL_DB', 'itguys')
    MYSQL_CURSORCLASS = 'DictCursor'

   # Configurações do LDAP (Windows AD)
    LDAP_SERVER = os.getenv('LDAP_SERVER', 'ldap://itguys.com.br')  # IP/Hostname do servidor LDAP
    LDAP_DOMAIN = os.getenv('LDAP_DOMAIN', 'itguys.com.br')  # Domínio do AD (FQDN)
    LDAP_BASE_DN = os.getenv('LDAP_BASE_DN', 'dc=itguys,dc=com,dc=br')  # Distinguished Name (DN)
    LDAP_USER = os.getenv('LDAP_USER', 'itguys\\teste.dev')  # Usuário de serviço LDAP (formato DOMINIO\\Usuario)
    LDAP_PASSWORD = os.getenv('LDAP_PASSWORD', '123Mudar')  # Senha do usuário LDAP

   #Api Zammad 
    zammad_api_url = os.getenv('zammad_api_url','http://zammad.itguys.com.br/api/v1') 
    zammad_token = os.getenv('zammad_token','1wO78dTaUGLpX4dmNYiANuzcY47P9WCKGIHy7iTuJgHYgaujMQjs1UY7Hp9wdUKP')
     
   #ID Inter 
    CLIENT_ID = os.getenv('CLIENT_ID',"bfedfb96-7caf-4310-8632-a924c5daa7e1")
    CLIENT_SECRET = os.getenv ('CLIENT_SECRET',"502d577e-b324-4b93-9624-e6b082588dc5")
    CERT_PATH = os.getenv('CERT_PATH',"InterAPI_Certificado.crt")
    CERT_KEY_PATH = os.getenv('CERT_KEY_PATH',"keyinter.pem")



